SHELL := /bin/bash

LEX := flex
LEXSRC := lexer.l
LEXTARGET := scanner.c

.PHONY: all clean

all: $(LEXTARGET)
	clang -I/home/auto/.rbenv/versions/2.1.2/include/ruby-2.1.0 -I/home/auto/.rbenv/versions/2.1.2/include/ruby-2.1.0/x86_64-linux -MM *.c > depend
	ruby extconf.rb
	$(MAKE) -r
	
$(LEXTARGET): $(LEXSRC)
	@ echo Generate scanner by flex
	$(LEX) $^
	
clean:
	@ if [[ -f Makefile ]]; then $(MAKE) clean; fi
	@ rm -f $(LEXTARGET) $(LEXTARGET:%.c=%.h) depend Makefile
