module Luca
  class Ast
    class C
      # Cの間接メンバアクセス式を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class ArrowAccessExpr < MemberAccessExpr
        @is_abstract = false
        
        OPERATOR = '->'
        def initialize(member_name_pos, op_pos, object_expr, member_name)
          super(member_name_pos, op_pos, OPERATOR, object_expr, member_name)
        end
      end
    end
  end
end
