module Luca
  class Ast
    class C
      # Cの組み込み型修飾子を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class BuiltinTypeSpecifier < TypeSpecifier
        @is_abstract = false
        
        # @return [Token]
        attr_reader :kwd_tk
        
        def initialize(kwd_tk)
          expect_var[:kwd_tk].of_instance_to_be Token
          super(kwd_tk.line, kwd_tk.line)
        end
        
        def name
          kwd_tk.value
        end
        
        def print_by(cxt)
          cxt << kwd_tk
        end
      end
    end
  end
end
