module Luca
  class Ast
    class C
      # Cの宣言修飾子を表すASTノード
      # 
      # @note このクラスは抽象クラス
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class DeclSpecifier < C
        @is_abstract = true
        
        def initialize(start_pos, end_pos)
          fail "#{self.class} is abstract class" if self.class == DeclSpecifier
          
          super(start_pos, end_pos)
        end
      end
    end
  end
end
