module Luca
  class Ast
    class C
      # Cの<tt>__extension__</tt>修飾子(?)を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class ExtensionSpecifier < DeclSpecifier
        @is_abstract = false
        
        # @return [Token]
        attr_reader :kwd_tk
        
        def initialize(kwd_tk)
          expect_var[:kwd_tk].of_instance_to_be Token
          super(kwd_tk.line, kwd_tk.line)
        end
        
        def print_by(cxt)
          cxt << kwd_tk
        end
        
        def set_parent_by(cxt)
        end
      end
    end
  end
end
