module Luca
  class Ast
    class C
      # Cの前置演算を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class PrefixOpNode < UnOpNode
        @is_abstract = false
        
        def initialize(op_tk, operand)
          super(op_tk.line, operand.end_pos, op_tk, operand)
        end
        
        def print_by(cxt)
          if op_tk.value == 'sizeof'
            cxt << op_tk << ' ' << operand
          else
            cxt << op_tk << operand
          end
        end
      end
    end
  end
end
