module Luca
  class Ast
    class C
      # Cの文を表すASTノード
      # 
      # @note このクラスは抽象クラスである
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class Stmt < C
        @is_abstract = true
        
        def initialize(start_pos, end_pos)
          fail "#{self.class} is abstract class" if self.class == Stmt
          super(start_pos, end_pos)
        end
      end
    end
  end
end
