module Luca
  class Ast
    class C
      # Cの型指定子を表すASTノード
      #
      # @note このクラスは抽象クラスである
      # @author autopp <autopp.inc@gmail.com>
      #
      class TypeSpecifier < DeclSpecifier
        @is_abstract = true
        
        def initialize(start_pos, end_pos)
          fail "#{self.class} is abstract class" if self.class == TypeSpecifier
          super(start_pos, end_pos)
        end
      end
    end
  end
end
