module Luca
  class Ast
    class Lua
      # Luaのリテラルを表すASTノード
      # 
      # @note このクラスは抽象クラスである
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class Literal < Expr
        @is_abstract = true
        
        def initialize(start_pos, end_pos)
          fail "#{self.class} is abstract class" if self.class == Literal
          super(start_pos, end_pos)
        end
      end
    end
  end
end
