module Luca
  class Ast
    class Lua
      # Luaのtrueリテラルを表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class True < Boolean
        @is_abstract = false
        
        def initialize(pos)
          super(pos, pos, true)
        end
        
        def print_by(cxt)
          cxt << 'true'
        end
        
        def gen_code_by(cxt)
          cxt.call_api('pushboolean', 1)
        end
      end
    end
  end
end
