SRC = parser.ry
TARGET = $(SRC:.ry=.tab.rb)
LOG = $(TARGET:.rb=.output)

.PHONY: all clean
	
all: $(TARGET)
	
$(TARGET): $(SRC)
	@ echo Generate parser by racc
	@ racc -o $@ -O $(LOG) $^
	@ sed -i "s|^  \(end   # module Luca\)|\1|g" $@
	
clean:
	@rm -f $(TARGET) $(LOG)
