require 'varspec'
require 'luca/version'

module Luca
  # Your code goes here...
end

require 'luca/debug_utils'
Luca::DebugUtils.mode = true

require 'ffi-clang-type'

require 'luca/token'
require 'luca/lexer_error'
require 'luca/lexer'
require 'luca/ast'
require 'luca/compiler'
require 'luca/parser.tab.rb'
require 'luca/syntax_error'
require 'luca/printer'
require 'luca/desugar_context'
require 'luca/analyzer'
require 'luca/code_generator'
require 'luca/compile_error'
require 'luca/location_map'
require 'luca/c_printer'
