module Luca
  class Ast
    class C
      # Cの<tt>continue</tt>文を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class ContinueStmt < Stmt
        @is_abstract = false
        
        # @return [Token]
        attr_reader :continue_tk
        
        # @return [Token]
        attr_reader :scol_tk
        
        def initialize(continute_tk, scol_tk)
          expect_var[:continute_tk].of_instance_to_be Token
          expect_var[:scol_tk].of_instance_to_be Token
          super(continute_tk.line, scol_tk.line)
        end
        
        def print_by(cxt)
          cxt << continute_tk << scol_tk
        end
        
        def set_parent_by(cxt); end
      end
    end
  end
end
