module Luca
  class Ast
    class C
      # Cの複合初期化子中の指示子を表すASTノード
      # 
      # @note このクラスは抽象クラスである
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class Designator < C
        @is_abstract = true
        
        def initialize(start_pos, end_pos)
          fail "#{self.class} is abstract class" if self.class == Designator
          
          super(start_pos, end_pos)
        end
        
        def set_parent_by(cxt)
        end
      end
    end
  end
end
