module Luca
  class Ast
    class C
      # Cの直接宣言子を表すASTノード
      # 
      # @note このクラスは抽象クラスである
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class DirectDeclarator < C
        @is_abstract = true
        
        def initialize(start_pos, end_pos)
          fail "#{self.class} is abstract class" if self.class == DirectDeclarator
        
          super(start_pos, end_pos)
        end
        
        def gen_env_member_by(cxt)
          expect_var[:cxt].to_be CodeGenerator
          print_by(cxt)
        end
      end
    end
  end
end
