module Luca
  class Ast
    class C
      # Cの空文を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class EmptyStmt < Stmt
        @is_abstract = false
        
        # @return [Token]
        attr_reader :scol_tk
        
        def initialize(scol_tk)
          expect_var[:scol_tk].of_instance_to_be Token
          super(scol_tk.line, scol_tk.line)
        end
      end
      
      def print_by(cxt)
        cxt << scol_tk
      end
      
      def set_parent_by(cxt)
      end
    end
  end
end
