module Luca
  class Ast
    class C
      # Cの式を表すAST
      # 
      # @note これは抽象クラスである
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class Expr < C
        @is_abstract = true
        
        def initialize(start_pos, end_pos)
          super(start_pos, end_pos)
        end
        
        def analyze_scope_by(cxt)
          fail NotImplementedError, "#{self.class}#analyze_scope_by is not implemented"
        end
      end
    end
  end
end
