module Luca
  class Ast
    class C
      # Cの後置演算子ノードを表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class PostfixOpNode < UnOpNode
        @is_abstract = false

        def initialize(operand, op_tk)
          super(operand.start_pos, op_tk.line, op_tk, operand)
        end

        def print_by(cxt)
          cxt << operand << op_tk
        end
      end
    end
  end
end
