module Luca
  class Ast
    class C
      class StringLiteral < Expr
        # @return [[Token]]
        attr_reader :str_tk_list
        
        def initialize(str_tk_list)
          expect_var[:str_tk_list].of_instance_to_be ArrayOf(Token) > 0
          super(str_tk_list.first.line, str_tk_list.last.line)
        end
        
        def print_by(cxt)
          cxt << str_tk_list
        end
        
        def analyze_scope_by(cxt)
          self
        end
      end
    end
  end
end
