module Luca
  class Ast
    class C
      # Cの<tt>struct</tt>修飾子を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class StructTypeSpecifier < MemberedTypeSpecifier
        @is_abstract = false
        
        def initialize(start_pos, end_pos, name, member_decl_list = [])
          super(start_pos, end_pos, :struct, name, member_decl_list)
        end
      end
    end
  end
end
