module Luca
  class Ast
    class C
      # <tt>typedef</tt>された型名を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class TypedefedTypeSpecifier < TypeSpecifier
        @is_abstract = false
        
        # @return [Token]
        attr_reader :name_tk
        
        def initialize(name_tk)
          expect_var[:name_tk].of_instance_to_be Token
          super(name_tk.line, name_tk.line)
        end
        
        def name
          name_tk.value
        end
        
        def print_by(cxt)
          cxt << name_tk
        end
        
        def set_parent_by(cxt)
        end
      end
    end
  end
end
