module Luca
  class Ast
    class C
      # Cの単項演算を表すASTノード
      # 
      # @note このクラスは抽象クラスである
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class UnOpNode < OpNode
        @is_abstract = false
        
        def initialize(start_pos, end_pos, op_tk, operand)
          fail "#{self.class} is abstract class" if self.class == UnOpNode
          super(start_pos, end_pos, [op_tk], [operand])
        end
        
        def op_tk
          op_tk_list.first
        end
        
        def operand
          operand_list.first
        end
      end
    end
  end
end
