module Luca
  class Ast
    class C
      # Cの<tt>union</tt>型指定子を表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class UnionTypeSpecifier < MemberedTypeSpecifier
        @is_abstract = false
        
        def initialize(start_pos, end_pos, name, member_decl_list = [])
          super(start_pos, end_pos, :union, name, member_decl_list)
        end
      end
    end
  end
end
