module Luca
  class Ast
    class Lua
      # Luaの浮動小数点数リテラルを表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class FloatLiteral < NumberLiteral
        @is_abstract = false
        
        def initialize(pos, value)
          super(pos, value)
        end
        
        def print_by(cxt)
          cxt << value
        end
        
        def gen_code_by(cxt)
          cxt.pushnumber('pushnumber', value)
        end
      end
    end
  end
end
