module Luca
  class Ast
    class Lua
      # Luaのnilリテラルを表すASTノード
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class Nil < Constant
        @is_abstract = false
        
        def initialize(pos)
          super(pos, pos, nil)
        end
        
        def print_by(cxt)
          cxt << 'nil'
        end
        
        def gen_code_by(cxt)
          cxt.call_api('pushnil')
        end
      end
    end
  end
end
