module Luca
  class Ast
    class Lua
      # Luaの<tt>protected</tt>宣言を表す抽象クラス
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class ProtectedDeclStmt < DeclStmt
        @is_abstract = true
        
        # @return [[Symbol]] 宣言する変数名のリスト
        attr_reader :var_list
        def initialize(kw_pos, end_pos, var_list)
          expect_var[:var_list].of_instance_to_be ArrayOf(Symbol)
          super(kw_pos, end_pos)
        end
      end
    end
  end
end
