module Luca
  class Ast
    class Lua
      # Luaの文を表すASTノード
      # 
      # @note このクラスは抽象クラスである
      #
      # @author autopp <autopp.inc@gmail.com>
      #
      class Stmt < Lua
        @is_abstract = true
        
        def initialize(start_pos, end_pos)
          fail "#{self.class} is abstract class" if self.class == Lua
          super(start_pos, end_pos)
        end
        
        def decl?
          is_a?(DeclStmt)
        end
      end
    end
  end
end
