module Luca
  # ASTの<tt>_lua</tt>文以外を出力するためのクラス．
  # ASTノードは<tt>print_c_by</tt>メソッドを実装する．
  # @author autopp <autopp.inc@gmail.com>
  #
  class CPrinter < Printer
    def initialize(filename, output, width, loc_map)
      super(filename, output, width, loc_map)
    end
    
    def print_ast(ast)
      expect_var[:ast].to_be Ast
      ast.print_c_by(self)
      self
    end
    
    def endl
      Printer.endl
    end
  end
end
