module Luca
  class CompileError < RuntimeError
    include Varspec::BuiltinMatcher
    
    # @return [[String]] エラーメッセージ
    attr_reader :error_list
    
    class << self
      include Varspec::BuiltinMatcher
      
      def create_by(error_list)
        expect_var[:error_list].of_instance_to_be ArrayOf(String)
        puts error_list
        msg = "#{error_list.size} error#{'s' if error_list.size >= 2} generated"
        new(msg)
      end
    end
  end
end
